Page MenuHomePhabricator

Migrate XTools from Ubuntu Precise to Trusty
Closed, ResolvedPublic1 Story Points

Description

All  Tools/bots/webservices running on Ubuntu Precise 12.04 (jsub release=precise)
will no longer function starting on Monday, March 6, 2017, and will crash with an error.

Ubuntu Precise was released in April 2012, and support for it
(including security updates) will cease in April 2017. We need to shut
down all Precise hosts before the end of support date to ensure that
Tool Labs remains a secure platform.

You (username: niharika29) are registered as admin/maintainer for the following tools,
that are still on Precise: 
tools.eranbot

Please make sure to migrate these over to Trusty as early as possible, to
ensure continued operation.

The steps to migrate to Trusty, and more information about the Precise deprecation
are here - https://wikitech.wikimedia.org/wiki/Tools_Precise_deprecation#What_should_I_do.3F.

A quick tip for webservices - running `webservice stop; webservice start` -
will migrate it to trusty (webservice restart currently sticks).
Additional information on running precise jobs can be seen at our Precise tools dashboard here -
https://tools.wmflabs.org/precise-tools/

Do feel free to reach out with questions/help at #wikimedia-labs on IRC.

Event Timeline

Niharika created this task.Feb 3 2017, 1:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2017, 1:09 PM
MusikAnimal added a subscriber: MusikAnimal.EditedFeb 3 2017, 7:44 PM

I think the jobs that are still running on Precise are for WikiHistory. This is a tool chiefly used by the German Wikipedia community, and it was tweaked to work for enwiki way back when the Articleinfo was believed to be gone for good. Since then Ori came along and fixed Articleinfo, so WikiHistory isn't used as much anymore. We might as well fix it though, if possible. There are only a few links to it on-wiki. Why WikiHistory needs 5 continuous jobs to function is beyond me.

MusikAnimal closed this task as Resolved.Feb 7 2017, 5:34 PM
MusikAnimal claimed this task.
MusikAnimal edited projects, added Community-Tech-Sprint; removed Community-Tech.
MusikAnimal moved this task from Inbox to Complete on the XTools board.

I changed the jobs to run on Trusty, and without even starting them back up, I see that WikiHistory is working just fine. So I will leave it at that for now. I think this can be closed now.

MusikAnimal set the point value for this task to 1.
Matthewrbowker reopened this task as Open.Feb 8 2017, 10:25 PM
Matthewrbowker moved this task from Q1 2018-19 to Ready on the Community-Tech-Sprint board.
Matthewrbowker added a subscriber: Matthewrbowker.

Since I just received another warning email, this appears to not be resolved. Reopening.

Matthewrbowker moved this task from Complete to Working on the XTools board.Feb 8 2017, 10:25 PM
MusikAnimal closed this task as Resolved.Feb 8 2017, 11:39 PM

Madhumitha got back to me and said the script they were using may be out of date, and that if our tools don't show up at https://tools.wmflabs.org/precise-tools/ then we're good :) So going to re-close. This doesn't mean WikiHistory isn't forever unbroken... as I said above, I don't know why it had these cron jobs accompanying it, but it seems all is fine without them.

MusikAnimal moved this task from Working to Complete on the XTools board.